@import url('https://fonts.googleapis.com/css2?family=Lobster+Two:wght@700&family=Open+Sans:wght@300;400;700&display=swap');

body {
    padding: 0;
    padding-bottom: 8rem;
    margin: 0;
    min-height: 86vh;
    position: relative;
}

p {
    font-size: 1.2em;
    font-family: 'Open Sans', serif
}

footer {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    text-align: center;
    background-color: black;
    height: 8rem;
    bottom: 0;
    position: absolute;
}
main {
    width: 80%;
    margin: 0 auto;
}

main div {
    padding: 1em;
}

.flex-container {
    display: flex;
    justify-content: space-evenly;
}

th {
    font-size: 150%;
    padding: 1em;
}

#logo img {
    width: 120px;
}

ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.ul-bulleted li{
    list-style-type: disc;
    margin-left: 30px;
    font-size: 1.2em;
    font-weight: bold;
}

header {
    background-color: rgb(44, 44, 44);
}

.header-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-title {
    width: 100%;
    font-size: 180%;
    color: rgb(152, 4, 238);
    text-align: center;
    font-family: 'Lobster Two', sans-serif;
}

.header-right {
    width: 65%;
}

.header-menu {
    width: 100%;
}

.header-section {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    box-sizing: border-box;
}

#social-tags {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

#social-tags a {
    font-size: 2em;
    text-decoration: none;
    color: white;
    padding: .2em;
}

.nav-menu {
    background-color: rgb(152, 4, 238);
    display: inherit;
    width: 100vw;
    justify-content: space-evenly;
}

.nav-menu>* {
    color: white;
    text-decoration: none;
    cursor: pointer;
    padding: .5em;
}

#hover-menu {
    width: 96vw;
    background-color: rgb(44, 44, 44);
    position: absolute;
    margin: 0 2vw;
    display: none;
    box-sizing: border-box;
    padding: 1em;
    z-index: 1;
}

.world-page-title {
    font-size: 3em;
    text-align: center;
}

.world-page-main-image {
    display: flex;
    justify-content: center;
}

.world-page-main-image img {
    max-width: 700px;
    max-height: 700px;
}

#currency {
    font-weight: normal
}

/* Accordion styling for classes */

.worldpage-accordion-button {
    background-color: rgb(223, 158, 253);
    color: rgb(45, 43, 46);
    cursor: pointer;
    padding: 18px;
    width: 100%;
    text-align: center;
    font-weight: bold;
    font-size: 120%;
    border: thin, black, solid;
    outline: none;
    transition: 0.4s;
}

.active,
.worldpage-accordion-button:hover {
    background-color: rgb(13, 233, 233);
    cursor: pointer;
}


.worldpage-accordion-panel {
    padding: 0 18px;
    background-color: rgb(236, 220, 240);
    color: black;
    display: none;
    overflow: hidden;
    border: thin, black, solid;
    box-sizing: border-box;
}

#guild-list {
    padding: 1em;
}

#guild-list li {
    font-size: 120%;
    padding: .1em;
    font-weight: bolder;
}

.character-image {
    max-width: 400px;
    max-height: 400px;
    float: right;
    padding: 2em;
}

#home-return {
    font-size: 150%;
    text-decoration: none;

}

/* Dropdown Menu Styling */

.dropdown-menu {
    display: flex;
    padding: 0;
    justify-content: space-evenly;
    color: white;
    flex: 1 1 0px;
}

.dropdown-menu a {
    text-decoration: none;
    color: rgb(217, 215, 218);
}

/* Styling the lists within the drop-down menu that make use of icons */

.icon-list a {
    display: flex;
    align-items: center;
    color: rgb(187, 183, 183);
}

.icon-list i {
    font-size: 1.5em;
    padding: 4px;
    color:  rgb(223, 158, 253);
}

.icon-list a:hover {
    color: white;
}

/* continents menu styling */

.continents-menu h2 {
    background: var(--background-image);
    background-size: cover;
    background-position-y: center;
    height: 180px;
    width: 400px;
}

.faction-table {
    border: 10px solid black;
    width: 100%;
    border-collapse: collapse;
    margin: 2em 0;
}

.faction-table th, td {
    border: 2px solid black;
    margin: 0;
}

.faction-table td {
    padding: 1em;
    font-size: 1.2em;
    font-family: 'Open Sans';
}

.table-bold {
    font-weight: bold;
}

.map {
    max-width: 100%;
}

/*Click to Zoom */

.click-zoom {
    overflow: scroll;
    display: flex;
    justify-content: center;
}

.click-zoom input[type=checkbox] {
    display: none
  }
  
  .click-zoom img {
    margin: 10px;
    transition: transform 0.25s ease;
    cursor: zoom-in;
  }
  
  .click-zoom input[type=checkbox]:checked~img {
    transform: scale(2);
    cursor: zoom-out;
  }

  .class-list a {
    text-decoration: none;
    color: rgb(0, 17, 255);
    font-size: 1.5em;
    font-weight: bold;
  }

  .class-list li {
    padding: 0.5em;
  }

  .class-list a:hover {
    color: rgb(152, 4, 238);
  }

.tiled-list li {
    position: relative;
    width: 300px;
    height: 130px;
    overflow: hidden;
}

.tiled-list span {
    color: rgb(212, 212, 212);
}
.tiled-list li:hover span {
    color: rgb(255, 255, 255);
}


.tiled-list ul {
    display: grid;
    align-items: center;
    justify-content: center;
    grid-template-columns: var(--grid-columns);
    gap: 1em;
}


.tiled-list li:hover::before {
    inset: -10%; 
    transition: 0.5s ease;
    cursor: pointer;
}

.tiled-list li::before {
    content: '';
    position: absolute;
    inset: 0;
    background: var(--background-image);
    background-size: cover;
    background-position-y: center;
    background-position-x: center;
}

.tiled-list span {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(39, 39, 39, 0.8);
    padding: 4px;
    color: rgb(212, 211, 211);
    text-align: center;
    font-family: 'Lobster Two', sans-serif;
    font-size: 3em;
    font-weight: 400;
    display: flex;
    align-items: center;
    justify-content: center;
}

.world-index li {  
    height: 480px;
    width: 500px;
}

  /* worlds-index-menu */

  
  .world-info-index {
    align-items: center;
    justify-content: space-evenly;
  }
  
  .world-info-index li {
  background: var(--background-image);
  background-size: cover;
  background-position-y: center;
  background-position-x: center;
  height: 13em;
  width: 100%;
}

.world-info-index span {
  max-height: 30%;
  font-size: 1.5em;
}

.calendar-image {
    display: flex;
    justify-content: center;
}

.calendar-image img {
    max-width: 1100px;
    max-height: 1100px;
}

.flex-column {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#rules-list {
    list-style-type: circle;
    margin-left: 2em;
}
#rules-list li {
    font-size: 18px;
    padding: 0.4em;
}